Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 199514 - app-emulation/vmware-server-2.0 beta version bump
Summary: app-emulation/vmware-server-2.0 beta version bump
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: Lowest enhancement with 2 votes (vote)
Assignee: Gentoo VMWare Bug Squashers [disabled]
URL: http://www.vmware.com/beta/server/
Whiteboard:
Keywords:
Depends on: 263560
Blocks:
  Show dependency tree
 
Reported: 2007-11-18 11:55 UTC by Karl H
Modified: 2009-10-28 07:56 UTC (History)
37 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
VMware Server 2.0 beta 84186 ebuild (vmware-server-2.0.0.84186.ebuild,3.09 KB, text/plain)
2008-04-07 16:33 UTC, Konstantin Münning
Details
version bump for vmware server 2.0 working on amd64 (vmware-server-2.0.0.110949.ebuild,2.90 KB, text/plain)
2008-09-29 14:04 UTC, Patrick Legault
Details
fixed initrd for gentoo (vmware-server.rc,2.22 KB, text/plain)
2008-09-29 14:06 UTC, Patrick Legault
Details
vmware-server-2.0.0.122956 (vmware-server-2.0.0.122956.ebuild,2.90 KB, text/plain)
2008-11-16 14:18 UTC, Michele Schiavo
Details
vmware-server-2.0.0.122956 (vmware-server-2.0.0.122956.ebuild,2.90 KB, text/plain)
2008-11-16 16:09 UTC, Michele Schiavo
Details
vmware-authd (vmware-authd,277 bytes, text/plain)
2008-11-16 16:10 UTC, Michele Schiavo
Details
vmware init.d (vmware-server.rc,2.22 KB, text/plain)
2008-11-24 22:25 UTC, Michele Schiavo
Details
vmware server ebuild (vmware-server-2.0.0.122956.ebuild,2.90 KB, text/plain)
2008-12-03 19:59 UTC, Michele Schiavo
Details
Fix in the URL so portage 2.2 and possibly others stop complaining (vmware-server-2.0.0.122956.ebuild,2.90 KB, text/plain)
2008-12-09 21:12 UTC, Berend Dekens
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Karl H 2007-11-18 11:55:24 UTC
Latest Version: Beta | 11/13/07 | Build 63231

Solves many bugs and supports AMD64 

Reproducible: Always

Steps to Reproduce:
Comment 1 Mike Auty gentoo-dev 2007-11-18 12:46:01 UTC
Thanks, we're already aware of this and trying to build an ebuild that will work.  Unfortunately changes to the perl installation script and the vmware module building system will require some time to repatch...
Comment 2 M. Edward Borasky 2007-12-03 15:20:00 UTC
I've downloaded the tarball from the VMware site and have attempted to install it. The install and configure steps appear to have been successful. But when I type "vmware" all it does is tell me

znmeb@DreamGate ~ $ vmware
Try 'man vmware' for more information.
znmeb@DreamGate ~ $ vmware -v
VMware Server e.x.p build-63231
znmeb@DreamGate ~ $ 

I looked at /usr/bin/vmware and it's just a shell script that generates the above behavior. Is there something else I need to do to start up a GUI and start creating virtual machines? Did they get rid of that capability in 2.0 and force you to buy Workstation?
Comment 3 Mike Auty gentoo-dev 2007-12-03 23:48:37 UTC
No, they removed the GUI interface, though.  Everything is now driven by a web interface, so you'll need to run "/etc/init.d/vmware-core start", "/etc/init.d/vmware-mgmt start", "/etc/init.d/vmware-autostart start".  From that point on, whatever HTTP and HTTPS ports you picked during the installation, you can point your web browser at.

By default you can only login as root, you'll also need to download a plugin for your browser, and chances are that if you're using firefox on a linux host, it simply won't ever show you the console (this is a known vmware server 2 beta 1 problem)...

Basically Vmware Server 2 Beta 1 is *very* beta quality software.  I'm working on an ebuild, but it's big and it's ugly, and it's still not working properly yet (and even if it were working properly, the software itself will have enough problems to drive you away from it), so please don't use it.  I wouldn't recommend upgrading unless you really enjoy headaches.
Comment 4 M. Edward Borasky 2007-12-04 06:08:53 UTC
Thanks!! Since I have a paid Workstation 6 Linux license, which is working fine, I don't need to mess with VMware Server. Big? I think the tarball alone was 135 megabytes or something like that, and it took a long time to install.

Qill it even build virtual machines still, or do you need Workstation to do that now?
Comment 5 Mike Auty gentoo-dev 2007-12-04 08:06:08 UTC
I believe you can still create new virtual machines.  Also, as a comparison, Vmware-server 1 (*with* the linux client) was approximately 130 Mb, Vmware-server 2 beta is approximately 340Mb.  It takes quite a while for me to test each install run, which is why writing the ebuild is such a slow process...
Comment 6 alexander.schneider 2008-03-12 16:57:35 UTC
any news on this?
i am sure many would love to test a new ebuild and vmware version :)
Comment 7 Ithamar Garbe 2008-03-12 17:12:17 UTC
i would like to test this, too...
Comment 8 Mike Auty gentoo-dev 2008-03-14 22:33:21 UTC
Vmware-server-2.0 is available (but masked because it's *badly* broken) in the vmware overlay.  If you'd really like to try it, you can give it a go from there, but please don't ask for any support if things don't work, go wrong, delete the internet, etc.  Don't say I didn't warn you...  5:)
Comment 9 Konstantin Münning 2008-04-07 16:33:49 UTC
Created attachment 148999 [details]
VMware Server 2.0 beta 84186 ebuild

I haven't found an Vmware-server-2.0 ebuild so here the one I made. I am using it on AMD64 and except some minor instabilities on the web interface it works fine. I haven't found anything broken yet. I have not yet tested it on x86 but it should at least use the right tarball.

I have not made patches to take module building out of vmware-config.pl so they are built when you configure it. Except this almost everything else is as in the current ebuilds.

As for configuration, beside the web interface you can use the vmware virtual infrastructure client for management and configuration. A windows version is shipped in the tarball which seems to be newer than the "regular" one. So when trying to use the regular one an automatic update is requested. Or install directly the new version.
Comment 10 Mike Auty gentoo-dev 2008-04-25 14:06:37 UTC
Thanks Konstantin, sorry for the delay, but this has now been bumped in the overlay.  It makes use of modules-1.0.0.19 for the time being, but that (and the modules-1.0.0.18) may change so beware.  Also, since this has some horrible and/or nasty bits to it, it's still keyworded -*.

Again, I'm not intending to offer much support for this (hence the keywording), but it's there if anyone really wants to try it out.  The init script wrapper still needs some work (it detects three failures, all of which aren't really failures), but otherwise it should function ok.  Enjoy...
Comment 11 Timothy Stotts 2008-07-12 12:06:23 UTC
Just a note that vmware-server 2.0 RC1 is released.
Perhaps it will be less buggy than the beta.
Comment 12 Tobias Margitan 2008-07-15 21:40:45 UTC
Is anyone able to put RC1 into the overlay? I just shutdown one of my VMs wanting it to have more ram.. now i cant boot anymore, it's telling me to upgrade :(
Comment 13 Mike Auty gentoo-dev 2008-07-16 09:18:53 UTC
Tobias, please, be patient.  I'm currently the only active vmware developer and my time is rather limited.  There are several fairly pressing vmware bugs and sadly I'm quite busy this weekend in real life, so I'm sorry, but I'm not certain when I'm going to have a chance to bump this.

Please be aware that overlay ebuilds will not necessarily be supported in a timely fashion, particularly beta and rc releases of software.  If you have production needs for this software, please use production software, not betas from overlays.  Otherwise you take risks just like this...
Comment 14 Kevin Bowling 2008-07-19 01:10:33 UTC
(In reply to comment #13)
> Please be aware that overlay ebuilds will not necessarily be supported in a
> timely fashion, particularly beta and rc releases of software.  If you have
> production needs for this software, please use production software, not betas
> from overlays.  Otherwise you take risks just like this...
> 

Problem is VMWare-server 2.0 is the only decent free virt solution for 64-bit guests.

I would like to see this bumped sooner rather than later, not discounted simply because it is an RC.
Comment 15 Mike Auty gentoo-dev 2008-07-19 09:33:48 UTC
Kevin,

This package hasn't been discounted, it's been prioritized.  If you have the time on your hands, by all means try bumping the ebuild yourself and let me know how you get on, I could always use the help.  At the moment, I'm trying to fix all the other stable vmware packages in the main tree, because none of them work with the 2.6.26 kernel at the moment.  I'll get to this once that's done.

So, if you need to run this software, you can either help out by fixing the ebuild yourself, be patient with those volunteering to do the work for you, or try a manual installation...
Comment 16 John W Eckhart 2008-07-19 15:02:08 UTC
Mike,
   I've updated the vmware-server and vmware-modules ebuilds (the rc needs a newer version of the modules) and managed to get my VM's running again.

You can find this in my git overlay at:
https://git.lightning.homelinux.com/gitweb/?p=jeckhart-overlay.git;a=summary

If you use layman, add the following line to "overlays:" property in /etc/layman/layman.cfg :
https://git.lightning.homelinux.com/lightning-overlay.xml

The port was relatively painless, the modules even build right out of the box (on gentoo-sources-2.6.25-r6), but, of course "Your Mileage May Vary". =)

Hope this helps everyone.

John
Comment 17 Timothy Stotts 2008-07-19 15:46:50 UTC
(In reply to comment #16)
John,

FYI: Firefox 3 complains that your SSL certificate is completely bogus. (Not just self-signed and unable to verify, but: sec_error_reused_issuer_and_serial.)
Comment 18 John W Eckhart 2008-07-19 21:21:32 UTC
Thanks, I am just using the cert for encryption, it probably is toast. If my ISP didn't block port 80 then I wouldn't need ssl at all (nothing about my overlay tree is all that secret or exciting)    =)
Comment 19 Andreas Nyback 2008-07-25 12:14:11 UTC
i added Eckharts overlay to my paludis.

/etc/paludis/repositories/jeckhart-overlay.conf:

location = /var/paludis/repositories/jeckhart-overlay
format = ebuild
sync = git://lightning.homelinux.com/jeckhart-overlay.git

master_repository = gentoo
names_cache = ${location}/.cache/names
write_cache = /var/cache/paludis/metadata


I installed vmware-server and modules and all worked perfect.
I am up and running on the latest vmware-server beta now.
Thanks!!

Maybe you can do the same for the beta for vmware-workstation since mike is busy with the other vmware problems? ;-)
Comment 20 Rumi Szabolcs 2008-07-30 16:52:54 UTC
Unfortunately not everbody is happy yet... ;-)

Here is what I get on 2.6.26/amd64 for RC1:

 * Preparing vsock module
Using 2.6.x kernel build system.
make -C /usr/src/linux M=$PWD SRCROOT=$PWD/. modules
make[1]: Entering directory `/usr/src/linux-2.6.26-gentoo'
make[1]: warning: jobserver unavailable: using -j1.  Add `+' to parent make rule.
  CC [M]  /usr/src/gentoo/tmp/nexus/portage/app-emulation/vmware-modules-1.0.0.21/work/vsock-only/linux/af_vsock.o
  CC [M]  /usr/src/gentoo/tmp/nexus/portage/app-emulation/vmware-modules-1.0.0.21/work/vsock-only/linux/driverLog.o
  CC [M]  /usr/src/gentoo/tmp/nexus/portage/app-emulation/vmware-modules-1.0.0.21/work/vsock-only/linux/util.o
  CC [M]  /usr/src/gentoo/tmp/nexus/portage/app-emulation/vmware-modules-1.0.0.21/work/vsock-only/linux/vsockAddr.o
  LD [M]  /usr/src/gentoo/tmp/nexus/portage/app-emulation/vmware-modules-1.0.0.21/work/vsock-only/vsock.o
  Building modules, stage 2.
  MODPOST 1 modules
WARNING: "VMCIDatagram_CreateHnd" [/usr/src/gentoo/tmp/nexus/portage/app-emulation/vmware-modules-1.0.0.21/work/vsock-only/vsock.ko] undefined!
WARNING: "VMCIDatagram_DestroyHnd" [/usr/src/gentoo/tmp/nexus/portage/app-emulation/vmware-modules-1.0.0.21/work/vsock-only/vsock.ko] undefined!
WARNING: "VMCI_GetContextID" [/usr/src/gentoo/tmp/nexus/portage/app-emulation/vmware-modules-1.0.0.21/work/vsock-only/vsock.ko] undefined!
WARNING: "VMCIDatagram_Send" [/usr/src/gentoo/tmp/nexus/portage/app-emulation/vmware-modules-1.0.0.21/work/vsock-only/vsock.ko] undefined!
  CC      /usr/src/gentoo/tmp/nexus/portage/app-emulation/vmware-modules-1.0.0.21/work/vsock-only/vsock.mod.o
  LD [M]  /usr/src/gentoo/tmp/nexus/portage/app-emulation/vmware-modules-1.0.0.21/work/vsock-only/vsock.ko
make[1]: Leaving directory `/usr/src/linux-2.6.26-gentoo'
cp -f vsock.ko ./../vsock.o
>>> Source compiled.

On module insert I get:

# modprobe vsock
FATAL: Error inserting vsock (/lib/modules/2.6.26-gentoo/misc/vsock.ko): Unknown symbol in module, or unknown parameter (see dmesg)

# dmesg
vsock: no symbol version for VMCIDatagram_Send
vsock: Unknown symbol VMCIDatagram_Send
vsock: no symbol version for VMCI_GetContextID
vsock: Unknown symbol VMCI_GetContextID
vsock: no symbol version for VMCIDatagram_DestroyHnd
vsock: Unknown symbol VMCIDatagram_DestroyHnd
vsock: no symbol version for VMCIDatagram_CreateHnd
vsock: Unknown symbol VMCIDatagram_CreateHnd
Comment 21 Berend Dekens 2008-08-12 12:31:17 UTC
Using kernel 2.6.24-r3 hardened everything works except starting a virtual machine: the kernel goes down hard and reboots. Unfortunately I can't find any error message in the logs.

I was using vmware-modules-1.0.0.21 and RC1 of the VMware Server.

For the record: VMWare has lousy browser support, it won't work with Konqueror or Firefox 3 on linux, only FF2 works. I hope they keep supporting the stand-alone server console...
Comment 22 Mike Auty gentoo-dev 2008-08-19 01:09:46 UTC
Ok, this has been added to the overlay, but is broken.  It was a mistake, but it's 2AM and my net connection will take forever to get all the packages to rebuild the manifest to let me mask it out.  Sorry.  I'll fix this tomorrow sometime, in the meantime, please don't use this, and if it doesn't work, please don't tell me, I know already...  5:(
Comment 23 Timothy Stotts 2008-08-24 12:47:27 UTC
Just a note that vmware-server 2.0 RC2 is released.
Comment 24 Andreas Nyback 2008-08-29 15:08:17 UTC
I have tried to get rc2 to work with the ebuilds from eckhart.
But i had problems to get vmware's init script to work. Finaly i figured out how to fix that.
In rc1 i had to load the vmware modules before the init script. I did so in /etc/modules.autoload/kernel-2.6
But with RC2 the modules should NOT be preloaded. If they are preloaded the vmware init script will fail and leave the not_configured flag file in /etc/vmware/
So after removing the preload of the modules and removing /etc/vmware/not_configured all works fine.
Comment 25 Timothy Stotts 2008-09-01 02:49:37 UTC
I have created vmware-server and vmware-modules for RC2 in my personal overlay, and am using VMware Server 2.0 RC2 with success on i686 with kernel 2.6.26.
They may also work on amd64, but I have not yet tried that.

To add my overlay to your system with layman, you may run the following:
   layman -o http://tstotts.net/files/linux/layman-tstotts-dot-net.txt -a timotheus25

The ebuilds themselves are at:
   https://tstotts.net/pubvc/overlay_1/app-emulation/
Comment 26 Timothy Stotts 2008-09-01 02:51:57 UTC
(In reply to comment #25)
> I have created vmware-server and vmware-modules for RC2 in my personal overlay,

Stolen from John W Eckhart's overlay. Thank you for your RC1 ebuilds.
Comment 27 Piotr 2008-09-01 17:04:14 UTC
(In reply to comment #25)
> I have created vmware-server and vmware-modules for RC2 in my personal overlay,
> and am using VMware Server 2.0 RC2 with success on i686 with kernel 2.6.26.
> They may also work on amd64, but I have not yet tried that.
> 
> To add my overlay to your system with layman, you may run the following:
>    layman -o http://tstotts.net/files/linux/layman-tstotts-dot-net.txt -a
> timotheus25
> 
> The ebuilds themselves are at:
>    https://tstotts.net/pubvc/overlay_1/app-emulation/
> 

I added this overlay as you worte and I have installed vmware-server-2.0.0.110949 with vmware-modules-1.0.0.22. It installed correctly but when I run /opt/vmware/server/bin/vmware-config.pl I get this message:

moonlight ~ # /opt/vmware/server/bin/vmware-config.pl
The following VMware kernel modules have been found on your system that were
not installed by the VMware Installer.  Please remove them then run this
installer again.

vmmon
vmci
vmnet

I.e. - 'rm /lib/modules/2.6.26-gentoo-r1/misc/<ModuleName>.{o,ko}'

Execution aborted.

moonlight ~ #

What I am doing wrong?
Comment 28 Timothy Stotts 2008-09-01 17:13:45 UTC
(In reply to comment #27)
> moonlight ~ # /opt/vmware/server/bin/vmware-config.pl
> The following VMware kernel modules have been found on your system that were
> not installed by the VMware Installer.  Please remove them then run this
> installer again.
> 
> vmmon
> vmci
> vmnet
> 
> I.e. - 'rm /lib/modules/2.6.26-gentoo-r1/misc/<ModuleName>.{o,ko}'
> 
> Execution aborted.
> 
> moonlight ~ #
> 
> What I am doing wrong?
> 

Yes, that message confused me also. The configuration script of the 2.0 RC2 release wants to recompile the modules itself. If you remove the modules and run the config script, it should compile them for you correctly.

bash# rm /lib/modules/`uname -r`/misc/{vmci,vmmon,vmnet}.{o,ko}

Why this happens with my ebuilds, nearly identical to the RC1 builds, I do not know.

If I discover an improved solution, I will post back. Thanks.
Comment 29 Piotr 2008-09-01 17:40:25 UTC
>If you remove the modules and
> run the config script, it should compile them for you correctly.

So is it safe to do just
emerge --nodeps vmware-server
if like you say the script is building modules?
Comment 30 Mike Auty gentoo-dev 2008-09-01 18:19:49 UTC
Tim, a quick note.  That check is removed by one of the patches, the appropriate patch for the first alpha can be found at http://overlays.gentoo.org/proj/vmware/browser/trunk/app-emulation/vmware-server/files/2.0.0.84186/011_all_legit-modules-only.patch.  It may need some modification for the latest version.  It basically disables the check, since we know how to build our own modules properly.  Hope this helps...
Comment 31 Larry 2008-09-02 23:33:47 UTC
I'll be testing this on an amd64 host (x86_64 Intel(R) Xeon(R) CPU X3210 @ 2.13GHz GenuineIntel) with the timotheus25 overlay.

So far it installs fine, just reports a collision with previous VMware kernel modules.

Previous (official) ebuilds were causing a hard freeze (no panic, oops or locking message whatsoever) when attempting to run a VM (64 bit enabled guest too).
Comment 32 Rumi Szabolcs 2008-09-05 06:54:37 UTC
I have installed vmware-server-2.0.0.110949 and vmware-modules-1.0.0.22
from the timotheus25 overlay on gentoo-sources-2.6.26-r1/amd64.

I have modified the vmware_config.pl according to the patch to disable
the module check. Now it does not abort but still rebuilds the modules.

Module vsock.ko still has a problem:

Using 2.6.x kernel build system.
make: Entering directory `/tmp/vmware-config2/vsock-only'
make -C /lib/modules/2.6.26-gentoo-r1/build/include/.. SUBDIRS=$PWD SRCROOT=$PWD/. modules
make[1]: Entering directory `/usr/src/linux-2.6.26-gentoo-r1'
  CC [M]  /tmp/vmware-config2/vsock-only/linux/af_vsock.o
  CC [M]  /tmp/vmware-config2/vsock-only/linux/driverLog.o
  CC [M]  /tmp/vmware-config2/vsock-only/linux/util.o
  CC [M]  /tmp/vmware-config2/vsock-only/linux/vsockAddr.o
  LD [M]  /tmp/vmware-config2/vsock-only/vsock.o
  Building modules, stage 2.
  MODPOST 1 modules
WARNING: "VMCIDatagram_CreateHnd" [/tmp/vmware-config2/vsock-only/vsock.ko] undefined!
WARNING: "VMCIDatagram_DestroyHnd" [/tmp/vmware-config2/vsock-only/vsock.ko] undefined!
WARNING: "VMCI_GetContextID" [/tmp/vmware-config2/vsock-only/vsock.ko] undefined!
WARNING: "VMCIDatagram_Send" [/tmp/vmware-config2/vsock-only/vsock.ko] undefined!
  CC      /tmp/vmware-config2/vsock-only/vsock.mod.o
  LD [M]  /tmp/vmware-config2/vsock-only/vsock.ko
make[1]: Leaving directory `/usr/src/linux-2.6.26-gentoo-r1'
cp -f vsock.ko ./../vsock.o
make: Leaving directory `/tmp/vmware-config2/vsock-only'
Unable to make a vsock module that can be loaded in the running kernel:
insmod: error inserting '/tmp/vmware-config2/vsock.o': -1 Unknown symbol in module

It's the same with the separate module-only ebuild and vmware-config.pl
but this still allows the vmware init script to start up with all OKs.
(after hand cleaning up stale processes started and modules loaded by
the vmware-config.pl)
After started, I cannot connect to the webui of the server, it reports an
HTTP 503 error (Service Unavailable). In vmware's hostd.log it says:

[2008-09-05 05:07:31.966 'Proxysvc Req00003' 139989194270448 warning] Connection to server localhost:8308 failed with error Connection refused.  Retrying...                                           
[2008-09-05 05:07:31.967 'Proxysvc Req00003' 139989194270448 warning] Connection to server localhost:8308 failed with error Connection refused.  Retrying...                                           
[2008-09-05 05:07:31.967 'Proxysvc Req00003' 139989194270448 warning] Connection to server localhost:8308 failed with error Connection refused.  Retrying...                                           
[2008-09-05 05:07:31.967 'Proxysvc Req00003' 139989194270448 warning] Connection to server localhost:8308 failed with error Connection refused.  Retrying...                                           
[2008-09-05 05:07:31.968 'Proxysvc Req00003' 139989194270448 warning] Connection to server localhost:8308 failed with error Connection refused.  Retrying...                                           
[2008-09-05 05:07:31.968 'Proxysvc Req00003' 139989194270448 warning] Connection to server localhost:8308 failed with error Connection refused.  Retrying...                                           
[2008-09-05 05:07:31.968 'Proxysvc Req00003' 139989194270448 warning] Connection to server localhost:8308 failed with error Connection refused.  Retrying...                                           
[2008-09-05 05:07:31.969 'Proxysvc Req00003' 139989194270448 warning] Connection to server localhost:8308 failed with error Connection refused.  Retrying...                                           
[2008-09-05 05:07:31.969 'Proxysvc Req00003' 139989194270448 warning] Connection to server localhost:8308 failed with error Connection refused.  Retrying...                                           
[2008-09-05 05:07:31.969 'Proxysvc Req00003' 139989194270448 warning] Connection to server localhost:8308 failed with error Connection refused.  Retrying...                                           
[2008-09-05 05:07:31.970 'Proxysvc Req00003' 139989194270448 warning] Exception while processing request: Connection refused

I hope that this error is the actual reason why it doesn't work...
Maybe this has something to do with the lack of vsock.ko?

BTW I have to mention that using KVM seems to be mutually exclusive as
I had to remove kvm.ko and kvm-intel.ko for vmware to start. Maybe this
should have been obvious to me but I don't really know the internals in
detail and I don't really care either... So this is just a note.

Maybe somebody @gentoo should realize that having vmware working on amd64
(and 2.6.26) is an important thing, and the version that could be working
there at the moment is the 2.0RC, no matter whether it is in beta or not...
Comment 33 Cory Coager 2008-09-07 13:50:20 UTC
I just wanted to add my findings from personal experience.  The web UI, specifically ports 8222 and 8333, will not start unless the hald service is running.
Comment 34 midnightflash 2008-09-25 12:33:07 UTC
The version 2.0 Build 116503 is now being marked as stable by vmware.
What about a bump of this version?
Comment 35 Wes Belt 2008-09-27 22:44:31 UTC
I also looking forward to emerge for the 2.0 version.  Will keep tabs on this tickets and overlays.gentoo.org hoping for some good news :)
Comment 36 Timothy Stotts 2008-09-29 10:44:22 UTC
FYI. Official VMware 2.0 release is now available for download.
Comment 37 Patrick Legault 2008-09-29 14:04:29 UTC
Created attachment 166756 [details]
version bump for vmware server 2.0 working on amd64

this is an update i patched up in 10 minutes or so. i know it might be ugly coding but it works.
Comment 38 Patrick Legault 2008-09-29 14:06:46 UTC
Created attachment 166758 [details]
fixed initrd for gentoo

This is an updated initrd file with fixed-up startup parameters to prevent failed entry at bootup. 
If someone know how to better code this, please, update it as i did it with my basic shell knowledge. Thanks
Comment 39 AE 2008-10-01 10:24:02 UTC
FYI renamed ebuild from vmware overlay works fine with version 2 final on Intel Core 2 Duo, 32 bit.
Comment 40 Timothy Stotts 2008-10-01 10:50:51 UTC
(In reply to comment #39)
> FYI renamed ebuild from vmware overlay works fine with version 2 final on Intel
> Core 2 Duo, 32 bit.
> 

Can you be more explicit please? (Tell use what you did in specific terms, which ebuild, which overlay, renamed from X to Y, etc.) Thanks.
Comment 41 Sander Siemonsma 2008-10-26 16:08:35 UTC
I've renamed vmware-server-2.0.0.110949.ebuild to vmware-server-2.0.0.116503.ebuild and downloaded the files manually. Looks like vmware installed ok.
Comment 42 Mike Auty gentoo-dev 2008-10-26 18:22:43 UTC
Ok, I've just bumped the overlay's version to 2.0.0.116503.  It's ugly, and the init script seems not to automatically load the necessary modules, so please be sure to load vmnet, vmmon and vmci before you try "/etc/init.d/vmware start"...

Please don't flood me with complaints, if you find a problem your best bet for getting it fixed is to help me by identifying exactly what the cause is, looking for a workaround, and if possible producing patches.  Thanks...
Comment 43 Mike Auty gentoo-dev 2008-10-26 18:29:52 UTC
Also, everyone who just renames ebuilds, please remember to rename the associated patch directory under files, and then fix up those patches that don't apply (there were two from the previous ebuild to the current one that failed).

If you don't, the configure script will potentially try to compile its own modules, which then won't be handled by portage, and if it breaks after that, you get to keep both pieces.  It'll also use insmod instead of modprobe, it won't interoperate properly with members of the vmware group and a couple of other lower level issues.

If someone wants to actually help work on this ebuild properly, and particularly strip it of its bloat by using system packages rather than bundling its own copy of tomcat, do drop me a line.  It's not going to be an easy task, but you could help get it into the tree much quicker than at its current pace.  Thanks...
Comment 44 Rumi Szabolcs 2008-10-28 22:46:55 UTC
(In reply to comment #42)
> Ok, I've just bumped the overlay's version to 2.0.0.116503.  It's ugly, and the
> init script seems not to automatically load the necessary modules, so please be
> sure to load vmnet, vmmon and vmci before you try "/etc/init.d/vmware start"...

I've tried this ebuild with the same setup I've mentioned before:

- vmware_config.pl does not try to recompile the modules that were already
installed by the vmware-modules-1.0.0.23 ebuild which is good

- I can confirm that the init script starts up with all OKs
when all the vmware modules are previously loaded by hand.

- The problem with vsock.ko remains the same with vmware-modules-1.0.0.23
and thus it still does not insert into the kernel.

- The problem with the webinterface HTTP Error 503 still persists.
Apparently it is the bundled tomcat that should be listening on port 8308
and it does seem to start up with the initscript but then it dies shortly
thereafter and never listens on port 8308. Both of it's potential log
directories have all logs files empty (existing but 0 byte size):

/opt/vmware/server/lib/webAccess/tomcat/apache-tomcat-6.0.16/logs
/var/log/vmware/webAccess

I've also installed and started hald and dbus as someone has suggested
before. The hostd.log indeed does indicate that HAL is in use but this
apparently does not make any difference with the webservice problem...
Comment 45 Rumi Szabolcs 2008-10-29 13:35:36 UTC
The reason for the vmware bundled tomcat not starting up turned out
to be a port conflict with the native tomcat-6 I have running on the
host server...

Hint #1:

The vmware tomcat is configured to use the default tomcat ports 8005
and 8009 for shutdown and ajp respectively. Now I have changed these
to 8305 and 8309 (to fall between the proxy ports 8222 and 8333) and
so now it can coexist with a normal gentoo tomcat-6 installation.

Hint #2:

The datastore location cannot be symlinked. If it is, the webAccess
console cannot open it. So it has to be a real hard linked path to
the datastore directory that is configured via vmware_config.pl

Hint #3:

The guest vm graphics console window on the webAccess first seems
to try to connect but then it says: "Open the console in a new window
/ Click anywhere to open the virtual machine" but if you click there,
nothing happens. Here is the reason:

http://www.debuntu.org/how-to-getting-vmware-server-2.0-beta-mui-remote-console-to-work-with-Firefox

The solution above did work for me with Firefox 2. I wonder whether it
would be possible for the ebuild to fix up the libs somehow to avoid this
hack or maybe set this environment variable in the system environment.

Hint #4:

http://kramfs.com/2008/07/13/vmware-server-2-unable-to-build-the-vsock-module/

Here it sounds like as if 2.6.24 had introduced this problem but
I have linux-headers-2.6.23-r3 installed... Maybe it is using the
/lib/modules/$( uname -r )/source/include path instead and thus
my 2.6.26 headers?

I hope this helps someone...
Comment 46 Tobias Margitan 2008-10-29 14:04:41 UTC
just a quick note, the ebuild works like a charm for me on amd64 / core2 with 2.6.25-r4 sources, thanks :)
Comment 47 Rumi Szabolcs 2008-10-29 23:26:55 UTC
Yet another hints:

/etc/vmware/pam.d/vmware-authd does not seem to do anything.
What counts is /etc/pam.d/vmware-authd. If you have LDAP
or whatever authentication via PAM set up on your host system
and want vmware to authenticate against that then you comment
out the original contents of /etc/pam.d/vmware-authd like this:

#auth       required    pam_unix.so shadow nullok
#account    required    pam_unix.so

And then add the following:

auth        include     system-auth
account     include     system-auth

For the problem with the graphics console access, I did this
on all client machines where Firefox will be using the plugin:

echo VMWARE_USE_SHIPPED_GTK=\"yes\" >> /etc/env.d/99local
env-update

This seems to work for both Firefox 2.x and 3.x and looks gentooish.

A problem I found is that quite frequently the webAccess console
drops me out for no apparent reason with an error message and then
I have to re-login. I haven't investigated this in detail yet
but it's quite annoying. I'm curious whether other people also
experience it.
Comment 48 Michele Schiavo 2008-11-16 13:04:56 UTC
it's fail on kernel 2.6.27

/opt/vmware/server/bin/vmware-config.pl
Making sure services for VMware Server are stopped.

Stopping VMware autostart virtual machines:
   Virtual machines                                                   failed
Stopping VMware management services:
   VMware Virtual Infrastructure Web Access
   VMware Server Host Agent                                           failed
Stopping VMware services:
   VMware Authentication Daemon                                        done
   Virtual machine monitor                                             done

You must read and accept the End User License Agreement to continue.
Press enter to display it. 


Do you accept? (yes/no) yes

Thank you.

None of the pre-built vmmon modules for VMware Server is suitable for your 
running kernel.  Do you want this program to try to build the vmmon module for 
your system (you need to have a C compiler installed on your system)? [yes] 

Using compiler "/usr/bin/gcc". Use environment variable CC to override.

What is the location of the directory of C header files that match your running
kernel? [/lib/modules/2.6.27-gentoo-r2/build/include] 

Extracting the sources of the vmmon module.

Building the vmmon module.

Using 2.6.x kernel build system.
make: Entering directory `/tmp/vmware-config0/vmmon-only'
make -C /lib/modules/2.6.27-gentoo-r2/build/include/.. SUBDIRS=$PWD SRCROOT=$PWD/. modules
make[1]: Entering directory `/usr/src/linux-2.6.27-gentoo-r2'
  CC [M]  /tmp/vmware-config0/vmmon-only/linux/driver.o
In file included from /tmp/vmware-config0/vmmon-only/./include/x86.h:38,
                 from /tmp/vmware-config0/vmmon-only/linux/driver.h:29,
                 from /tmp/vmware-config0/vmmon-only/linux/driver.c:101:
/tmp/vmware-config0/vmmon-only/./include/x86paging.h:76:1: warning: "PTE_PFN_MASK" redefined
In file included from include/asm/pda.h:8,
                 from include/asm/current.h:19,
                 from include/asm/processor.h:15,
                 from include/linux/prefetch.h:14,
                 from include/linux/list.h:6,
                 from include/linux/module.h:9,
                 from /tmp/vmware-config0/vmmon-only/./include/compat_module.h:27,
                 from /tmp/vmware-config0/vmmon-only/linux/driver.c:26:
include/asm/page.h:22:1: warning: this is the location of the previous definition
In file included from /tmp/vmware-config0/vmmon-only/linux/vmhost.h:27,
                 from /tmp/vmware-config0/vmmon-only/linux/driver.c:121:
/tmp/vmware-config0/vmmon-only/./include/compat_semaphore.h:23:27: error: asm/semaphore.h: No such file or directory
make[2]: *** [/tmp/vmware-config0/vmmon-only/linux/driver.o] Error 1
make[1]: *** [_module_/tmp/vmware-config0/vmmon-only] Error 2
make[1]: Leaving directory `/usr/src/linux-2.6.27-gentoo-r2'
make: *** [vmmon.ko] Error 2
make: Leaving directory `/tmp/vmware-config0/vmmon-only'
Unable to build the vmmon module.

For more information on how to troubleshoot module-related problems, please 
visit our Web site at "http://www.vmware.com/go/unsup-linux-products" and 
"http://www.vmware.com/go/unsup-linux-tools".

Execution aborted.
Comment 49 Michele Schiavo 2008-11-16 13:28:24 UTC
solved on new 122956


emerge vmware-server -pv

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild   R   ] app-emulation/vmware-server-2.0.0.122956  0 kB [1]

Total: 1 package (1 reinstall), Size of downloads: 0 kB
Portage tree and overlays:
 [0] /usr/portage
 [1] /usr/local/portage
speriment vmware-server # lsmod
Module                  Size  Used by
vmnet                  35204  13 
vmblock                12304  3 
vmci                   44616  0 
nvidia               8106160  24 
gspca_zc3xx            49088  0 
gspca_main             20800  1 gspca_zc3xx
Comment 50 Michele Schiavo 2008-11-16 14:18:32 UTC
Created attachment 171979 [details]
vmware-server-2.0.0.122956
Comment 51 Michele Schiavo 2008-11-16 16:09:47 UTC
Created attachment 171992 [details]
vmware-server-2.0.0.122956
Comment 52 Michele Schiavo 2008-11-16 16:10:58 UTC
Created attachment 171993 [details]
vmware-authd

vmware-authd file of pam now is include system-auth, so if someone use other pam auth, he can use also on vmware.
Comment 53 Michele Schiavo 2008-11-16 16:13:34 UTC
I found a little bug during pam test.
on /etc/pam.d/vmware-auth was an old file from vmware workstation.
i'd like the ebuild also copy or link /etc/vmware/pam.d/vmware-auth on /etc/pam.d/vmware-auth

if i manualy copy, my new vmware-auth with include system-auth is working. (i'm using krb5 and not shadow)
Comment 54 Michele Schiavo 2008-11-24 22:25:59 UTC
Created attachment 173282 [details]
vmware init.d

add depend of hald, because vmware-hostd need hald.
Comment 55 Berend Dekens 2008-12-02 17:26:56 UTC
Because of issues with recent kernels and the vmware-server-1.0.0 branch (the vmware-modules go up to .23 but only .15 is supported with vmware server 1 - these modules also fail on multiple systems running amd64) I am trying to get this to work.

Anyway, the ebuild in this bug report results in this when creating the digest:

ebuild vmware-server-2.0.0.110949.ebuild digest
SRC_URI: x86? ( http://download3.vmware.com/software/vmserver/VMware-server-2.0.0-110949.i386.tar.gz ) amd64? ( http://download3.vmware.com/software/vmserver/VMware-server-2.0.0-110949.x86_64.tar.gz)
missing space by parenthesis: 'z)'

This might be due to the unstable portage I am running but adding a space before the final ')' on that line solves the error. Very minor but a bug none the less.
Comment 56 Berend Dekens 2008-12-03 17:06:54 UTC
Although I got 122956 to install and start with the provided ebuild, I can't log in. Inspecting /var/log/messages shows this:

Dec  3 18:01:15 cyberwizzard /opt/vmware/server/lib/bin/vmware-hostd[10271]: PAM unable to dlopen(/lib32/security/pam_unix.so): /lib32/security/pam_unix.so: wrong ELF class: ELFCLASS32
Dec  3 18:01:15 cyberwizzard /opt/vmware/server/lib/bin/vmware-hostd[10271]: PAM adding faulty module: /lib32/security/pam_unix.so
Dec  3 18:01:15 cyberwizzard /opt/vmware/server/lib/bin/vmware-hostd[10271]: PAM unable to dlopen(/lib32/security/pam_listfile.so): /lib32/security/pam_listfile.so: wrong ELF class: ELFCLASS32
Dec  3 18:01:15 cyberwizzard /opt/vmware/server/lib/bin/vmware-hostd[10271]: PAM adding faulty module: /lib32/security/pam_listfile.so

Is this because I am running a multilib amd64 system?
Comment 57 Michele Schiavo 2008-12-03 19:59:48 UTC
Created attachment 174187 [details]
vmware server ebuild
Comment 58 Michele Schiavo 2008-12-03 20:02:19 UTC
the vmware-authd i'm using (http://bugs.gentoo.org/attachment.cgi?id=171993) it's good for me. (i'm using kerberos v5)

but the "standard" vmware-auth of vmware-server-1* i think it's good for all other solutions.
Comment 59 Michele Schiavo 2008-12-03 20:04:02 UTC
(In reply to comment #56)
> Although I got 122956 to install and start with the provided ebuild, I can't
> log in. Inspecting /var/log/messages shows this:
> 
> Dec  3 18:01:15 cyberwizzard /opt/vmware/server/lib/bin/vmware-hostd[10271]:
> PAM unable to dlopen(/lib32/security/pam_unix.so): /lib32/security/pam_unix.so:
> wrong ELF class: ELFCLASS32
> Dec  3 18:01:15 cyberwizzard /opt/vmware/server/lib/bin/vmware-hostd[10271]:
> PAM adding faulty module: /lib32/security/pam_unix.so
> Dec  3 18:01:15 cyberwizzard /opt/vmware/server/lib/bin/vmware-hostd[10271]:
> PAM unable to dlopen(/lib32/security/pam_listfile.so):
> /lib32/security/pam_listfile.so: wrong ELF class: ELFCLASS32
> Dec  3 18:01:15 cyberwizzard /opt/vmware/server/lib/bin/vmware-hostd[10271]:
> PAM adding faulty module: /lib32/security/pam_listfile.so
> 
> Is this because I am running a multilib amd64 system?
> 


try the new wbuild.

me too i'm working with multilib.


emerge --info
Portage 2.1.4.5 (default/linux/amd64/2008.0/desktop, gcc-4.3.1, glibc-2.7-r2, 2.6.27-gentoo-r4 x86_64)
=================================================================
System uname: 2.6.27-gentoo-r4 x86_64 Intel(R) Core(TM)2 Quad CPU Q9300 @ 2.50GHz
Timestamp of tree: Wed, 03 Dec 2008 01:37:01 +0000
distcc 2.18.3 x86_64-pc-linux-gnu (protocols 1 and 2) (default port 3632) [enabled]
app-shells/bash:     3.2_p33
dev-java/java-config: 1.3.7, 2.1.6
dev-lang/python:     2.5.2-r7
dev-python/pycrypto: 2.0.1-r6
dev-util/cmake:      2.4.6-r1
sys-apps/baselayout: 2.0.0
sys-apps/openrc:     0.3.0-r1
sys-apps/sandbox:    1.2.18.1-r2
sys-devel/autoconf:  2.13, 2.61-r2
sys-devel/automake:  1.5, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.1-r1
sys-devel/binutils:  2.18-r3
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   1.5.26
virtual/os-headers:  2.6.23-r3
ACCEPT_KEYWORDS="amd64"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -mtune=core2 -march=core2 -pipe -fomit-frame-pointer -msse4.1"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/config /var/bind /var/lib/hsqldb /var/qmail/alias /var/qmail/control"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/splash /etc/terminfo /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-O2 -mtune=core2 -march=core2 -pipe -fomit-frame-pointer -msse4.1"
DISTDIR="/usr/portage/distfiles"
FEATURES="buildpkg_ collision-protect distcc distlocks maketest metadata-transfer parallel-fetch sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="ftp://pandemonium.tiscali.de/pub/gentoo/ http://mirror.switch.ch/ftp/mirror/gentoo/"
LANG="it_IT.UTF-8"
LDFLAGS="-Wl,-O1"
LINGUAS="it it_IT en en_US en_GB es es_ES"
MAKEOPTS="-j10"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="16bit 64bit X X509 a52 aac aalib acl acpi aiglx aim alsa amd64 amr amrnb amrwb apache2 apm applet audiofile avi bash-completion berkdb bidi bitmap-fonts bittorrent bluetooth bonobo branding browserplugin bzip2 cairo caps cdda cddb cdio cdparanoia cdr cgi chroot cli cracklib crypt css ctype cups curl dbus dc1394 deskbar divx dlloader dri dts dv dvb dvd dvdr dvdread dvi dynamic eds em emboss emovix enca encode esd ethereal evo evolution exif expat faillog fam fame fbsplash ffmpeg firefox flac flash fontconfig foomaticdb fortran fping freetds freetype ftp gaim gcc4 gd gdbm gdm gedit gencertdaily geoip gif gimp gimpprint glitz glut gmail gmedia gmp gno gnome gnome-keyring gnutls gpac gphoto2 gpm gsf gsm gstreamer gtk gtk2 gtkhtml guile hal hash hddtemp howl iconv id3tag idea idn ieee1394 imagemagick imap imlib ipod isdnlog ithreads java jpeg kerberos lame lcms libcaca libclamav libedit libnotify libwww live lm_sensors logrotate logwatch lzo lzw lzw-tiff mad maildir maildrop matroska md5sum mhash midi mikmod mime ming mjpeg mmx mmxext mng mono motif mozilla mozsvg mp2 mp3 mpeg mplayer mpm-prefork msn mudflap multilib musepack musicbrainz mysql nautilus ncurses nemesei network networking new-login nfs ng nls nptl nptlonly nsplugin nvidia obex offensive ogg oggvorbis openal opengl openmp opensslcrypt optimisememory pam pcre pdf pdflib perl php pidgin png pnm pop posix ppds pppd prediction python qmail qt3support quicktime quotas radio readline realmedia recode reflection regex remote rtc samba scanner sdl sensord server session simplexml skins slang smp sms sndfile sni sound sox spamassassin speex spell spl sqlite srt sse sse2 sse3 ssl ssse2 ssse3 startup-notification stream subtitles svg symlink sysfs syslog tcltk tcpd teletext templates tetex theora threads threadsafe tiff tivo toolbar tools tracker truetype truetype-fonts twolame type1-fonts udev unicode upnp usb v4l v4l2 vcd vhosts vim-syntax vlm vorbis wavpack wifi wmf wmp wxgtk1 wxwindows x264 xanim xcomposite xml xml2 xmlreader xmlwriter xorg xpm xscreensaver xv xvid xvmc zip zlib" ALSA_CARDS="intel8x0 usb-audio" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic auth_digest authn_anon authn_dbd authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock dbd deflate dir disk_cache env expires ext_filter file_cache filter headers ident imagemap include info log_config logio mem_cache mime mime_magic negotiation proxy proxy_ajp proxy_balancer proxy_connect proxy_http rewrite setenvif so speling status unique_id userdir usertrack vhost_alias" CAMERAS="spca50x" ELIBC="glibc" INPUT_DEVICES="keyboard mouse" KERNEL="linux" LINGUAS="it it_IT en en_US en_GB es es_ES" USERLAND="GNU" VIDEO_CARDS="nvidia"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LC_ALL, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 60 Michele Schiavo 2008-12-03 20:10:11 UTC
There are no vmware-server.tar file on gentoo server, you need to download from vmware web site and put it on /usr/portage/distfiles.

(In reply to comment #55)
> Because of issues with recent kernels and the vmware-server-1.0.0 branch (the
> vmware-modules go up to .23 but only .15 is supported with vmware server 1 -
> these modules also fail on multiple systems running amd64) I am trying to get
> this to work.
> 
> Anyway, the ebuild in this bug report results in this when creating the digest:
> 
> ebuild vmware-server-2.0.0.110949.ebuild digest
> SRC_URI: x86? (
> http://download3.vmware.com/software/vmserver/VMware-server-2.0.0-110949.i386.tar.gz
> ) amd64? (
> http://download3.vmware.com/software/vmserver/VMware-server-2.0.0-110949.x86_64.tar.gz)
> missing space by parenthesis: 'z)'
> 
> This might be due to the unstable portage I am running but adding a space
> before the final ')' on that line solves the error. Very minor but a bug none
> the less.
> 

Comment 61 Berend Dekens 2008-12-09 21:07:25 UTC
(In reply to comment #60)
> There are no vmware-server.tar file on gentoo server, you need to download from
> vmware web site and put it on /usr/portage/distfiles.
> 
Yes I know but the ebuild is looking for files on the VMware servers which ain't there either. So until someone finds a url for automatic downloading, a fetch restriction might make sense.

Also, my remark was not directed to the content of the ebuild but rather a typo: the last ')' in the x86_64 directive needs a space.

Thanks for pointing me to http://bugs.gentoo.org/attachment.cgi?id=171993 btw, that fixed the login issues I had.
Comment 62 Berend Dekens 2008-12-09 21:12:21 UTC
Created attachment 174793 [details]
Fix in the URL so portage 2.2 and possibly others stop complaining

Instead of just complaining I fixed the typo in the URL so portage 2.2 will stop whining about it.
Comment 63 Mike Auty gentoo-dev 2008-12-09 21:13:20 UTC
Berend, Michele, have you tried the ebuilds in the official vmware gentoo
overlay?  You can add the overlay by using layman (emerge layman; layman -f;
layman -a vmware).  They've been there for quite a while (about a month or
so)...

You can find more details at http://overlays.gentoo.org/proj/vmware/ and
http://overlays.gentoo.org/proj/vmware/browser/trunk/app-emulation/vmware-server
Comment 64 Michele Schiavo 2008-12-10 06:51:26 UTC
i'm not a developer, i can't put the ebuild on the overlay.

P.S. I can copy it by hand and then emerge it.
Comment 65 Mike Auty gentoo-dev 2008-12-10 09:30:41 UTC
Michele, the ebuild's *already* in the overlay, it's been there about a month as you can see by the second link I provided in my previous comment).  All you need to do is checkout a copy of the overlay (either using subversion directly, or using layman), and then emerge it...

It's keyword masked, so you'll have to add an appropriate line to /etc/portage/package.keywords, but otherwise all the work's already been done there, and you don't need to write your own ebuilds.
Comment 66 Michele Schiavo 2008-12-14 12:27:37 UTC
I used svn.

but the overlay version (using vmware-module), the module vmci is not automatic load on service start.
Comment 67 Patrick Hieber 2008-12-21 13:44:37 UTC
I added vmware via layman.

emerge -s vmware-server:
*  app-emulation/vmware-server
      Latest version available: 2.0.0.122956
      Latest version installed: [ Not Installed ]
      Size of files: 1,073,064 kB
      Homepage:      http://www.vmware.com/
      Description:   VMware Server for Linux
      License:       vmware

*BUT* when i do an emerge -v vmware-server i get the following error:
//it tests a couple of other mirrors e.g.
>>> Downloading 'http://download.softpedia.ro/linux/VMware-server-2.0.0-122956.x86_64.tar.gz'
--2008-12-21 14:41:45--  http://download.softpedia.ro/linux/VMware-server-2.0.0-122956.x86_64.tar.gz
Resolving download.softpedia.ro... 212.146.105.233
Connecting to download.softpedia.ro|212.146.105.233|:80... connected.
HTTP request sent, awaiting response... 404 Not Found
2008-12-21 14:41:46 ERROR 404: Not Found.

!!! Couldn't download 'VMware-server-2.0.0-122956.x86_64.tar.gz'. Aborting.
 * Fetch failed for 'app-emulation/vmware-server-2.0.0.122956', Log file:
 *  '/var/tmp/portage/app-emulation/vmware-server-2.0.0.122956/temp/build.log'


here is my emerge --info:
localhost ~ # emerge --info
 * Overlay eclasses override eclasses from PORTDIR:
 *
 *   '/usr/local/portage/layman/vmware/eclass/vmware.eclass'
 *   '/usr/local/portage/layman/vmware/eclass/vmware-mod.eclass'
 *
 * It is best to avoid overriding eclasses from PORTDIR because it will
 * trigger invalidation of cached ebuild metadata that is distributed with
 * the portage tree. If you must override eclasses from PORTDIR then you
 * are advised to add FEATURES="metadata-transfer" to /etc/make.conf and to
 * run `emerge --regen` after each time that you run `emerge --sync`. Set
 * PORTAGE_ECLASS_WARNING_ENABLE="0" in /etc/make.conf if you would like to
 * disable this warning.
Portage 2.1.6.1 (default/linux/amd64/2008.0, gcc-4.1.2, glibc-2.9_p20081201-r0, 2.6.27-gentoo-r7 x86_64)
=================================================================
System uname: Linux-2.6.27-gentoo-r7-x86_64-AMD_Athlon-tm-_Processor_LE-1620-with-glibc2.2.5
Timestamp of tree: Fri, 19 Dec 2008 21:45:03 +0000
app-shells/bash:     3.2_p48
dev-lang/python:     2.4.4-r13, 2.5.2-r8
dev-python/pycrypto: 2.0.1-r6
sys-apps/baselayout: 2.0.0
sys-apps/openrc:     0.3.0-r1
sys-apps/sandbox:    1.2.18.1-r3
sys-devel/autoconf:  2.63
sys-devel/automake:  1.9.6-r2, 1.10.2
sys-devel/binutils:  2.19
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   2.2.6a
virtual/os-headers:  2.6.27-r2
ACCEPT_KEYWORDS="amd64 ~amd64"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe -march=athlon64"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/terminfo /etc/udev/rules.d"
CXXFLAGS="-O2 -pipe -march=athlon64"
DISTDIR="/usr/portage/distfiles"
FEATURES="ccache distlocks fixpackages parallel-fetch protect-owned sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="ftp://ftp.tu-clausthal.de/pub/linux/gentoo/ ftp://linux.rz.ruhr-uni-bochum.de/gentoo-mirror/ ftp://ftp.uni-erlangen.de/pub/mirrors/gentoo "
LDFLAGS="-Wl,-O1"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage/layman/vmware"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="acl amd64 bash-completion berkdb bzip2 cdr cli cracklib crypt cups dri dvd fortran gdbm gpm iconv ipv6 isdnlog midi mmx mudflap multilib ncurses nls nptl nptlonly openmp pam pcre perl pppd python readline reflection session spl sse sse2 ssl sysfs tcpd unicode xorg zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" USERLAND="GNU" VIDEO_CARDS="fbdev glint i810 intel mach64 mga neomagic nv r128 radeon savage sis tdfx trident vesa vga via vmware voodoo"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LANG, LC_ALL, LINGUAS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS

Comment 68 Kevin Bowling 2008-12-21 13:52:21 UTC
@Patrick Hieber  
Manually download the file from VMWare and place it in /usr/bin/distfiles.  The build should have fetch restrictions enabled since the archive can't be redistributed.
Comment 69 Patrick Hieber 2008-12-21 15:26:17 UTC
(In reply to comment #68)
> @Patrick Hieber  
> Manually download the file from VMWare and place it in /usr/bin/distfiles.  The
> build should have fetch restrictions enabled since the archive can't be
> redistributed.
> 

I put the "VMware-server-2.0.0-122956.x86_64.tar.gz" in /usr/bin/distfiles but it doesn't find the file. It only tries to download the file (with no success).
Comment 70 Mike Auty gentoo-dev 2008-12-21 15:30:41 UTC
Patrick, Kevin meant /usr/portage/distfiles, not /usr/bin/distfiles.  Please try that...
Comment 71 Patrick Hieber 2008-12-21 15:38:16 UTC
(In reply to comment #70)
> Patrick, Kevin meant /usr/portage/distfiles, not /usr/bin/distfiles.  Please
> try that...
> 
I wondered why it's this directory...
Thanks! Works like a charm ;)
Comment 72 Patrick Hieber 2008-12-22 12:18:37 UTC
hmm it doesn't work smooth.
I can login to the webinterface but sometimes it lags and doesn't respond.
I get also several warnings with "Null pointer exeption..."
Have i forgotten somethin to install?
Can somebody report a correct and fast/reliable working VMware-server-2.0.0-122956.x86_64.tar.gz ? thanks!
Comment 73 Geof Fang 2009-01-10 15:02:26 UTC
(In reply to comment #72)
> hmm it doesn't work smooth.
> I can login to the webinterface but sometimes it lags and doesn't respond.
> I get also several warnings with "Null pointer exeption..."
> Have i forgotten somethin to install?
> Can somebody report a correct and fast/reliable working
> VMware-server-2.0.0-122956.x86_64.tar.gz ? thanks!
> 

Same issue here but I do not believe it is a problem with the source.  I think the issue is that the hacks that have been made to make vmware play nice with gentoo's directory structure are causing hang ups.  I think the problem is solvable and I'm grateful that Michele is working on it.

Give it some time - this is a masked package after all.

As an aside, the same code I used to install this is the same code a friend used on his Ubuntu system and it works great over there - that's why I mention the architecture/directory structure differences between the two OS's.
Comment 74 Noah Pritikin 2009-01-11 06:14:00 UTC
Anyone else getting this error?  Looks to be a typo in the ebuild ("libXft" vs. "libxft"):

root@gentoo# emerge --oneshot vmware-server

These are the packages that would be merged, in order:

Calculating dependencies                L
emerge: there are no ebuilds to satisfy "x11-libs/libxft".
(dependency required by "app-emulation/vmware-server-2.0.0.122956" [ebuild])

Thanks,
cappaberra
Comment 75 Noah Pritikin 2009-01-11 06:43:20 UTC
Ok, so after "fixing" the ebuild to look for "libXft" instead of "libxft", regenerating the digest, and emerging, I'm having issues with the modules that got compiled for vmware-modules.  I'm running gentoo-sources/2.6.28-gentoo.  The vmware-modules-1.0.0.23 package emerged successfully, but upon modprobe of the vmmon module, I get the following error: "modprobe: FATAL: Error inserting vmmon (/lib/modules/2.6.28-gentoo/misc/vmmon.ko): Invalid module format".

Ideas?  Thanks!
Comment 76 Noah Pritikin 2009-01-11 07:02:44 UTC
Ick... sorry for all the messages.  After going through the motions a few more times, I ended up manually loaded vmmon and vmnet before running the vmware-config.pl script.  The modules loaded just fine (no invalid module format messages).  The vmware services then started successfully.
Comment 77 Mike Auty gentoo-dev 2009-01-11 12:39:30 UTC
Noah, just so that it's recorded somewhere, this is an issue with the latest kernel, whereby if forced module loading isn't enabled, modprobe -f doesn't even try and add the module smoothly, it just dies saying it's an invalid format. 

Since you modprobed manually (and without the -f flag) it all worked fine.  This seems to affect several of the vmware products that came out before 2.6.27.  The joys of kernel and closed-source development...  5:\
Comment 78 Mike Auty gentoo-dev 2009-01-11 12:41:47 UTC
In fact, I've just fixed this in the overlay, so there shouldn't be a problem there anymore...
Comment 79 Noah Pritikin 2009-01-11 20:10:47 UTC
(In reply to comment #78)
> In fact, I've just fixed this in the overlay, so there shouldn't be a problem
> there anymore...
> 

Thanks!  That works great now.  Also one thing I noticed was that the vmci module wasn't getting loaded (thus, my VMs didn't power up).  Once "modprobe vmci" was executed, then the VMs powered up just fine.
Comment 80 Hedin Ejdesgaard Møller 2009-01-26 21:52:43 UTC
i got the following error when i tryed to update vmware-server...
i sync'ed the vmware overlay 20090126 21:47 GMT.

Linux Ejdesgaard 2.6.25-gentoo-r9 #15 Sat Jan 24 00:25:41 WET 2009 i686 AMD Athlon(tm) 64 Processor 3200+ AuthenticAMD GNU/Linux

emerge --info: http://gentoo.pastebin.ca/1318926

# emerge -u vmware-server -a

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild     U ] app-emulation/vmware-modules-1.0.0.23 [1.0.0.15-r2]
[ebuild     U ] app-emulation/vmware-server-2.0.0.122956 [1.0.8.126538]
[blocks b     ] >=app-emulation/vmware-modules-1.0.0.16 (">=app-emulation/vmware-modules-1.0.0.16" is blocking app-emulation/vmware-server-1.0.8.126538)

Would you like to merge these packages? [Yes/No]
Comment 81 Mike Auty gentoo-dev 2009-01-26 21:54:50 UTC
That just means portage can't automatically handle the blockers.  Please unmerge vmware-modules-1.0.0.16 and vmware-server-1.0.8, and then emerge vmware-server-2.0.0...
Comment 82 Hedin Ejdesgaard Møller 2009-01-26 21:59:55 UTC
(In reply to comment #81)
> That just means portage can't automatically handle the blockers.  Please
> unmerge vmware-modules-1.0.0.16 and vmware-server-1.0.8, and then emerge
> vmware-server-2.0.0...
> 

it's enough to remove vmware-server-1.0.8. :)
Comment 83 Matthew Kohn 2009-02-17 01:22:45 UTC
any reason why this isn't in the main portage tree
Comment 84 Mike Auty gentoo-dev 2009-02-17 10:23:47 UTC
Yes, the ebuild is ugly, hacked together, and the download requirements are huge because it ships a copy of tomcat along with it.  I'm not going to agree to maintain something in the main tree until I'm happy that it works well, and at the moment the existing ebuild doesn't.  There's no one else in the vmware herd, so I'm afraid you're waiting on me to fix all the little bits and pieces that are wrong with it, and it's not very high on my list of priorities.  Sorry...
Comment 85 Geof Fang 2009-02-24 16:38:10 UTC
Is there another set of source code that I should be using for the release?  When I try to start my WinXP VM I get a message telling me that vmware server is running in debug mode and there is no way to turn it off.  I thought debug had been disabled in the release version?  Is that not the case?

I'm going to try and download the software again, using the link in the newest ebuild unless someone has a better idea.
Comment 86 Mike Auty gentoo-dev 2009-03-23 20:53:11 UTC
Hey everybody, I'm likely to get poked in the next couple of weeks to move vmware-server-2 into the main tree.  Before I do I just found a little gem I thought I'd share with you (but haven't tried yet myself).  Those of you wishing for a linux console may have one in the form of vmware-player.  Apparently with a command line parameter it can connect to vmware-server-2 and offers a list of hosts to connect to and so forth.  More information's available at http://planetvm.net/blog/?p=330#more-330.
Comment 87 Rumi Szabolcs 2009-04-21 06:43:15 UTC
I've got the following installed from the layman vmware overlay:

vmware-modules-1.0.0.23-r1
vmware-server-2.0.1.156745

When I start it up with the init script, only the modules vmmon and vmnet
get loaded and virtual hw version 7 VMs cannot power up because the lack
of vmci. When I load the vmci module manually, it does work afterwards.

On another server with vmware-modules-1.0.0.23 and vmware-server-2.0.0.122956
installed there is no such problem.
Comment 88 Eric Gisse 2009-05-24 16:39:40 UTC
Gah. This release is, imho, a clusterfuck. I'm not talking the ebuild - the euild is fine, it is vmware itself.

Does vmware honestly expect this to be used in a production environment? Let's list the fun I'm going through making this work.

a) You can't shut it down. 

The vmware init.d script hangs, for no apparent reason, at shutting down the web stuff. vmware zap then individual killing of each vmware process is the only way I can shut it down.

b) 503 service unavailable. AAAAAAAAAAAAAARRRRRGGGGHHHHHHHHHHHHHH

The apache/tomcat stuff is flaky as hell. Just now, on a clean reboot after a clean shutdown, I /etc/init.d/vmware start . I go to the local control...unavailable. I stop the vmware stuff as per above, and restart it. Works fine!

Other times I have to poke around /etc/hosts, rearranging localhost and whatever, until I hit this level's combination lock to get to the program.

c) Not applicable to me, but the installation of apache/tomcat royally messes up other production environments and there was no warning about this when installing or downloading (manually, or otherwise). This is bad. 

That being said, the program kicks ass when it works. When. I don't like the web console interface, but it is slick. 



Comment 89 Sunit Das 2009-06-29 22:35:57 UTC
(In reply to comment #88)

:-)

Chill out bro, I feel your pain...

> a) You can't shut it down. 

Yeah, I saw this as well. If you call the shutdown script directly ('/etc/vmware/init.d/vmware stop'), you'll probably get something like:

    Stopping VMware autostart virtual machines:
       Virtual machines                                                   failed
    Stopping VMware management services:
       VMware Virtual Infrastructure Web Access
       VMware Server Host Agent                                           failed
    Stopping VMware services:
       VMware Authentication Daemon                                        done
       Virtual machine monitor                                             done
       Bridged networking on /dev/vmnet0                                   done
       Host network detection                                              done
       Bridged networking on /dev/vmnet2                                   done
       Virtual ethernet                                                    done
    VMware Server is installed, but it has not been (correctly) configured
    for the running kernel.

    Please ensure that the modules have been compiled for this kernel:
      emerge --oneshot vmware-modules

    Also ensure VMware Server has been configured:
      /opt/vmware/server/bin/vmware-config.pl.

If you attempt that command with the "VMWARE_DEBUG=yes" var passed-in on the command-line, you'll see, just before "failed", it whining that you need to rerun "vmware-config.pl", which you obviously can't because it tries to shut vmware down before it starts, which fails even if you've hand-signaled each daemon to death... recursive frustration.

So, the workaround is to use a nearly undocumented flag as such:

      vmware-config.pl --skip-stop-start

Then, you've configured again, and you can try to log in.

> b) 503 service unavailable. AAAAAAAAAAAAAARRRRRGGGGHHHHHHHHHHHHHH
> 
> The apache/tomcat stuff is flaky as hell. Just now, on a clean reboot after a
> clean shutdown, I /etc/init.d/vmware start . I go to the local
> control...unavailable. I stop the vmware stuff as per above, and restart it.

Yes, I've seen this too. In the "transition" to server 2, there was a time when certain kernel modules weren't being loaded on boot. For some reason it seemed that an init.d stop/start would cause module autoloading to occur, and then it would be fine. I've needed to hand-add "vmnet", "vmmon", and "vmci" to "/etc/conf.d/modules" for everything to work on boot, every boot.

I hope this helps!

P.S. I apologize for the non-directly bug related comments;  I'll keep my chatter to a minimum. I know this isn't a forum.

P.P.S Thanks, Mike, for being the unsung hero. From those of us who've successfully navigated these waters, pulled the overlays, and lived to tell the tale, you've our gratitude.
Comment 90 Vadim Kuznetsov (RETIRED) gentoo-dev 2009-07-08 20:29:32 UTC
  08 Jul 2009; Vadim Kuznetsov vadimk@gentoo.org
  vmware-server-2.0.1.156745-r2.ebuild:
  pkg_prerm is added for safe unmerge. init script is loading vmci module.